## NemoColumn

NemoColumn — A column used in Nemo's list view.

## Functions

NemoColumn * | nemo_column_new ()

## Properties

char * | attribute | Read / Write
guint | attribute-q | Read
char * | description | Read / Write
PangoEllipsizeMode | ellipsize | Read / Write
char * | label | Read / Write
char * | name | Read / Write / Construct Only
int | width-chars | Read / Write
float | xalign | Read / Write

## Types and Values

| NemoColumn

## Object Hierarchy

        GObject
        ╰── NemoColumn

## Description

A column is linked to a particular file attribute to display in the view. Many of these are built in to Nemo, but they can also be provided by a NemoColumnProvider/NemoInfoProvider extension.

## Functions

### nemo_column_new ()

    NemoColumn *
    nemo_column_new (const char *name,
                     const char *attribute,
                     const char *label,
                     const char *description);

Creates a new column

#### Parameters

name | identifier of the column |
attribute | the file attribute to be displayed in the column |
label | the user-visible label for the column |
description | a user-visible description of the column |

#### Returns

a newly created NemoColumn.

[transfer full]

## Types and Values

### NemoColumn

    typedef struct _NemoColumn NemoColumn;

## Property Details

### The `“attribute”` property

      “attribute”                char *

The attribute name to display.

Owner: NemoColumn

Flags: Read / Write

Default value: NULL

### The `“attribute-q”` property

      “attribute-q”              guint

The attribute name to display, in quark form.

Owner: NemoColumn

Flags: Read

Default value: 0

### The `“description”` property

      “description”              char *

A user-visible description of the column.

Owner: NemoColumn

Flags: Read / Write

Default value: NULL

### The `“ellipsize”` property

      “ellipsize”                PangoEllipsizeMode

Pango ellipsize mode when text won't fit.

Owner: NemoColumn

Flags: Read / Write

Default value: PANGO_ELLIPSIZE_NONE

### The `“label”` property

      “label”                    char *

Label to display in the column.

Owner: NemoColumn

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     char *

Name of the column.

Owner: NemoColumn

Flags: Read / Write / Construct Only

Default value: NULL

### The `“width-chars”` property

      “width-chars”              int

Default column width.

Owner: NemoColumn

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“xalign”` property

      “xalign”                   float

The x-alignment of the column.

Owner: NemoColumn

Flags: Read / Write

Allowed values: [0,1]

Default value: 0